Bug 77122 - Unhandled exception OS Error [errno 12] cannot allocate memory
Unhandled exception OS Error [errno 12] cannot allocate memory
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-01 09:19 EST by jzeman
Modified: 2007-04-18 12:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:50:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jzeman 2002-11-01 09:19:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
When installing Redhat 8.0 we are unable to get past this error. We are 
installing it on a compaq deskpro 2000 system.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Perform default setup on compaq deskpro 2000
2.enter one user account
3.
	

Actual Results:  unhandled exception error

occurs everytime we install the program

Expected Results:  continuation of installation

Additional info:

File "/usr/lib/anaconda/gui.py", line 786, in handleRenderCallback
	self.currentWindow.renderCallback ()
File "/usr/lib/anaconda/iw/progress_+gui.py", line 149, in renderCallback
	self.intf.icw.nextClickecd ()
File "/usr/lib/anaconda/gui.py", line 632, innextClicked
	self.dispatch.gotoNext ()
File "/usr/lib/anaconda/dispatch.py", lne 150, in gotoNext
	self.movestep ()
File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
	rc=apply(func, self.bindArgs (args))
File "/usr/lib/anaconda/packages.py", line 430, in TurnOnFilesSystems
	partitions.doMetaDeletes (diskset)
File "/usr/lib/anaconda/partition.py", line 1110, in doMetaDeletes
	lvan.vgactivate ()
File "/usr/lib/anaconda/lvm.py", line 54, in vgactivate
	searchPath=1)
File "/usr/lib/anaconda/iutil.py", line 66, in execWithRedirect
	childpid=os.fork ()
OSError: [Errno12] Cannot allocate memory
Comment 1 Michael Fulbright 2002-11-01 11:22:21 EST
How much RAM is on this system?
Comment 2 jzeman 2002-11-01 11:42:29 EST
48 MB
Comment 3 Michael Fulbright 2002-11-01 12:59:20 EST
Could you try booting with 'mem=40M' on the command line.

I think you are on the border of having enough RAM to run the install w/o
enabling swap, so reducing the RAM the kernel thinks your machine has will force
it to use swap and perhaps suceed.
Comment 4 Michael Fulbright 2002-12-02 11:10:57 EST
Closing due to inactivity, please reopen if you have additional information to add.
Comment 5 Michael Lee Yohe 2003-01-09 09:07:08 EST
This appears to be a duplicate of Bug 76123.  The problem is that there is not
enough memory to process the transactions that are to be executed by the
installer.  Anaconda, in GUI mode, requires at least 64M+ of memory and 128M of
swap.  

You can alternatively attempt to install Red Hat Linux 8.0 in text mode by
specifying "linux text" at the SYSLINUX prompt upon first boot.  Anaconda, in
text mode, is more lenient on memory resources.
Comment 6 Red Hat Bugzilla 2006-02-21 13:50:04 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.